// @flow
import campaigns from './campaigns';
import cases from './cases';
import companies from './companies';
import contacts from './contacts';
import documents from './documents';
import folders from './folders';
import leads from './leads';
import listings from './listings';
import opportunities from './opportunities';
import properties from './properties';
import requests from './requests';
import transactions from './transactions';
import relatedCampaigns from './related-campaigns';
import relatedCases from './related-cases';
import relatedCompanies from './related-companies';
import relatedContacts from './related-contacts';
import relatedListings from './related-listings';
import relatedOpportunities from './related-opportunities';
import relatedRequests from './related-requests';

export default (baseURL: string) => ({
	campaigns           : campaigns(baseURL),
	cases               : cases(baseURL),
	companies           : companies(baseURL),
	contacts            : contacts(baseURL),
	documents           : documents(baseURL),
	folders             : folders(baseURL),
	leads               : leads(baseURL),
	listings            : listings(baseURL),
	opportunities       : opportunities(baseURL),
	properties          : properties(baseURL),
	relatedCampaigns    : relatedCampaigns(baseURL),
	relatedCases        : relatedCases(baseURL),
	relatedCompanies    : relatedCompanies(baseURL),
	relatedContacts     : relatedContacts(baseURL),
	relatedListings     : relatedListings(baseURL),
	relatedOpportunities: relatedOpportunities(baseURL),
	relatedRequests     : relatedRequests(baseURL),
	requests            : requests(baseURL),
	transactions        : transactions(baseURL),
});
